Docs

Reference

Pin / unpin a topic

Pin a forum topic to the top of the topic list, or unpin it.

View MarkdownThis page is generated from the source code on every release.

Pin a forum topic to the top of the topic list, or unpin it.

Overview

Name Value
Code groups.pin_topic
Scope needed groups.admin
Risk Write
May need confirmation No
Runs as Queues work for a node
Needs Idempotency-Key Yes
Member roles allowed owner, manager, agent
Needs a worker from version 1.0.37
In the app Inbox → group info → Manage

Input fields

Field Type Required Description
conversationId uuid Yes
topicId integer Yes
pinned true/false Yes

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/groups.pin_topic \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: <unique key per operation>" \
  -d '{"conversationId":"00000000-0000-0000-0000-000000000000","topicId":1,"pinned":true}'

Output fields (data)

Field Type Required
ok true Yes
jobId text Yes

Example answer

{
  "data": {
    "ok": true,
    "jobId": "00000000-0000-4000-8000-000000000000"
  }
}

Using it over MCP

Not listed on any profile: call tools_describe then tools_run with code: "groups.pin_topic". Tool name when listed: groups_pin_topic.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0